<?php
function testsitetheme_setup() {
	// 編集画面用のCSS
	add_theme_support( 'editor-styles' );
	add_editor_style( 'editor-style.css' );
	
	// グーテンベルグのCSS読み込み
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	
// ブロックスタイルを設定するためのJSファイル読み込み
function testsitejs_enqueue() {
	wp_enqueue_script(
		'testsitejs-style',
		get_template_directory_uri() . '/testsite-style.js',
		array( 'wp-blocks', 'wp-dom-ready', 'wp-edit-post' )
	);
}
add_action( 'enqueue_block_editor_assets', 'testsitejs_enqueue' );

// CSSの読み込み
function testsite_enqueue() {
	wp_enqueue_style( 'testsite-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'testsite_enqueue');
